package ch.usi.inf.sp.callgraph.renderer;

import ch.usi.inf.sp.callgraph.Method;

import java.util.Objects;

public class MethodAdapter extends MethodLike {

    private final Method method;

    public MethodAdapter(Method method) {
        this.method = method;
    }

    @Override
    public Method getMethod() {
        return this.method;
    }

    @Override
    public String getVerboseModifiers() {
        return method.getVerboseModifiers();
    }

    @Override
    public String getDeclaringClass() {
        return method.getDeclaringClassName();
    }

    @Override
    public String getName() {
        return method.getName();
    }

    @Override
    public String getDescriptor() {
        return method.getDescriptor();
    }
}
